IM_MPERCENT(3X)

NAME
im_mpercent - find threshold corresponding to a percentage of an image values

SYNOPSIS
#include <vips/vips.h> int im_mpercent( in, percent, thresh )
IMAGE *in;
int percent;
int *thresh;

DESCRIPTION
im_mpercent() returns (through the thresh parameter) the threshold above which there are percent values of the input image. If for example percent=.1, the number of pels of the input image with values greater than the returned int will correspond to 10% of all pels of the image. The function is applied on one band FMTUCHAR images only. It can be used in order to threshold the scaled result of a filtering operation.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_conv(3X), im_zerox(3X).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 14/05/1991